﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

/*
 *         Progetto: Progetto "Mappa Meteo"
 * 
 *           Autore: Roberto Fuligni
 *  Ultima modifica: 16/12/2016
 *  
 *      Descrizione: Definizione della classe contenente le informazioni  
 *                   di una data città acquisite mediante API OpenWeatherMap.
 *                                      
 *                   La classe è definita "Serializable" per consentire la memorizzazione
 *                   del suo contenuto in un file di cache.
 */

namespace MappaMeteo
{
    [Serializable]
    public class InfoCitta
    {
        public string Localita { get; set; }
        public DateTime Data { get; set; }
        public int TemperaturaCelsius { get; set; }
        public bool Successo { get; set; }
        public double Lat { get; set; }
        public double Long { get; set; }
        public string MeteoTitolo { get; set; }
        public string MeteoDescrizione { get; set; }
        public string MeteoIcona { get; set; }

    }
}
