﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace MappaMeteo
{
    /// <summary>
    /// Logica di interazione per InputApiKey.xaml
    /// </summary>
    public partial class InputApiKey : Window
    {
        private string apiKey = null;
        public string ApiKey
        {
            get
            {
                if (String.IsNullOrEmpty(apiKey))
                    return null;
                else
                    return apiKey;
            }

            set
            {
                if (String.IsNullOrWhiteSpace(value))
                {
                    apiKey = null;
                    tbApiKey.Text = "Nessuna API Key installata";
                    tbNoApiKey.Visibility = Visibility.Visible;
                }
                else
                {
                    apiKey = value.Trim();
                    tbApiKey.Text = apiKey;
                    tbNoApiKey.Visibility = Visibility.Collapsed;
                }
            }
        }
        public InputApiKey()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = !String.IsNullOrWhiteSpace(Properties.Settings.Default.ApiKey);
        }

        public static bool Mostra()
        {
            var form = new InputApiKey();
            form.ApiKey = Properties.Settings.Default.ApiKey;
            if (form.ShowDialog() == true)
                return true;
            else
                return false;
        }
    }
}
